package net.northking.cctp.daemon.entity;

import java.io.Serializable;

public class ResultWrapper<T> implements Serializable
{
  private boolean success = false;

  private String code;

  private String message;

  private Long timestamp;

  private T data;

  public boolean isSuccess()
  {
    return success;
  }

  public void setSuccess(boolean success)
  {
    this.success = success;
  }

  public String getCode()
  {
    return code;
  }

  public void setCode(String code)
  {
    this.code = code;
  }

  public String getMessage()
  {
    return message;
  }

  public void setMessage(String message)
  {
    this.message = message;
  }

  public Long getTimestamp()
  {
    return timestamp;
  }

  public void setTimestamp(Long timestamp)
  {
    this.timestamp = timestamp;
  }

  public T getData()
  {
    return data;
  }

  public void setData(T data)
  {
    this.data = data;
  }
}
